    import {TransientsShadow} from 'f.lux/src/TransientsProperty.js'

public class | source

# TransientsShadow

#### Extends:

Shadow → TransientsShadow

The shadow api for the Store#transients property. This api implements a superset of the Map class.

## Member Summary

Public Members
public get | size: * |

## Method Summary

Public Methods
public | [Symbol.iterator](): * |
public | clear() Removes all transient objects. |
public | delete(id: *) Removes the speecified transient object from Store#transients. |
public | entries(): * Gets an Iterator object that contains the `[id, <span><a href="class/src/TransientProperty.js~TransientShadow.html">TransientShadow</a></span>]` pairs for each transient property in the Store#transients property. |
public | has(id: *): * Gets if the Store#transients object contains a transient object. |
public | keys(): * Gets an Iterator object that contains the transient keys. |
public | set(id: *, property: Property): * Adds or updates a TransientProperty with a specified id. |
public | sweep() Invoked by Store#_exec to remove unlocked transient objects. |
public | values(): * Gets an Iterator object that contains the TransientShadow instances. |

## Inherited Summary

From class Shadow
public | [_impl]: * |
public | $(): Access Gets the Access object for obtaining information about a property. |
public | $$(): Property Gets the Property managing this shadow state property. |
public | toJSON(): Object | Array Gets the actual state property being proxied by this shadow state property. |
public | toString(): * |

## Public Members

### public get size: * source

## Public Methods

### public [Symbol.iterator](): * source

#### Return:

*

### public clear() source

Removes all transient objects.

### public delete(id: *) source

Removes the speecified transient object from Store#transients.

#### Params:

Name | Type | Attribute | Description
id | * |  | the transient key

### public entries(): * source

Gets an Iterator object that contains the `[id, <span><a href="class/src/TransientProperty.js~TransientShadow.html">TransientShadow</a></span>]` pairs for each transient property in the Store#transients property.

#### Return:

*

### public has(id: *): * source

Gets if the Store#transients object contains a transient object.

#### Params:

Name | Type | Attribute | Description
id | * |  |

#### Return:

*

### public keys(): * source

Gets an Iterator object that contains the transient keys.

#### Return:

*

### public set(id: *, property: Property): * source

Adds or updates a TransientProperty with a specified id. The returned TransientProperty#link method must be called immediately following this method invocation or the property may be swept from the transient list after the next store update.

#### Params:

Name | Type | Attribute | Description
id | * |  | the transient key
property | Property |  | a `Property` instance to track in the transients property.

#### Return:

* | the TransientProperty containing the `property` instance passed into the method.

### public sweep() source

Invoked by Store#_exec to remove unlocked transient objects.

### public values(): * source

Gets an Iterator object that contains the TransientShadow instances.

#### Return:

*